# Form implementation generated from reading ui file 'src/eric7/VirtualEnv/VirtualenvUpgradeConfigurationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirtualenvUpgradeConfigurationDialog(object):
    def setupUi(self, VirtualenvUpgradeConfigurationDialog):
        VirtualenvUpgradeConfigurationDialog.setObjectName("VirtualenvUpgradeConfigurationDialog")
        VirtualenvUpgradeConfigurationDialog.resize(700, 311)
        VirtualenvUpgradeConfigurationDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(VirtualenvUpgradeConfigurationDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_3 = QtWidgets.QGroupBox(parent=VirtualenvUpgradeConfigurationDialog)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.envNameLabel = QtWidgets.QLabel(parent=self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.envNameLabel.sizePolicy().hasHeightForWidth())
        self.envNameLabel.setSizePolicy(sizePolicy)
        self.envNameLabel.setObjectName("envNameLabel")
        self.gridLayout.addWidget(self.envNameLabel, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.envDirectoryLabel = QtWidgets.QLabel(parent=self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.envDirectoryLabel.sizePolicy().hasHeightForWidth())
        self.envDirectoryLabel.setSizePolicy(sizePolicy)
        self.envDirectoryLabel.setObjectName("envDirectoryLabel")
        self.gridLayout.addWidget(self.envDirectoryLabel, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_3)
        self.groupBox = QtWidgets.QGroupBox(parent=VirtualenvUpgradeConfigurationDialog)
        self.groupBox.setObjectName("groupBox")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_2.addWidget(self.label_5)
        self.pythonExecPicker = EricPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonExecPicker.sizePolicy().hasHeightForWidth())
        self.pythonExecPicker.setSizePolicy(sizePolicy)
        self.pythonExecPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.pythonExecPicker.setObjectName("pythonExecPicker")
        self.horizontalLayout_2.addWidget(self.pythonExecPicker)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=VirtualenvUpgradeConfigurationDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.logCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.logCheckBox.setChecked(True)
        self.logCheckBox.setObjectName("logCheckBox")
        self.gridLayout_2.addWidget(self.logCheckBox, 1, 0, 1, 2)
        self.upgradePythonCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.upgradePythonCheckBox.setChecked(True)
        self.upgradePythonCheckBox.setObjectName("upgradePythonCheckBox")
        self.gridLayout_2.addWidget(self.upgradePythonCheckBox, 0, 0, 1, 1)
        self.upgradeDepsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.upgradeDepsCheckBox.setObjectName("upgradeDepsCheckBox")
        self.gridLayout_2.addWidget(self.upgradeDepsCheckBox, 0, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirtualenvUpgradeConfigurationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(VirtualenvUpgradeConfigurationDialog)
        self.buttonBox.accepted.connect(VirtualenvUpgradeConfigurationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirtualenvUpgradeConfigurationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirtualenvUpgradeConfigurationDialog)

    def retranslateUi(self, VirtualenvUpgradeConfigurationDialog):
        _translate = QtCore.QCoreApplication.translate
        VirtualenvUpgradeConfigurationDialog.setWindowTitle(_translate("VirtualenvUpgradeConfigurationDialog", "Virtual Environment Upgrade Configuration"))
        self.groupBox_3.setTitle(_translate("VirtualenvUpgradeConfigurationDialog", "Environment"))
        self.label_2.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Name:"))
        self.label.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Directory:"))
        self.groupBox.setTitle(_translate("VirtualenvUpgradeConfigurationDialog", "Paths"))
        self.label_5.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Python Executable:"))
        self.pythonExecPicker.setToolTip(_translate("VirtualenvUpgradeConfigurationDialog", "Enter the Python interpreter for the virtual environment upgrade"))
        self.groupBox_2.setTitle(_translate("VirtualenvUpgradeConfigurationDialog", "Options"))
        self.logCheckBox.setToolTip(_translate("VirtualenvUpgradeConfigurationDialog", "Select to generate a log file in the environment directory"))
        self.logCheckBox.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Save a log file in the environment directory after upgrade"))
        self.upgradePythonCheckBox.setToolTip(_translate("VirtualenvUpgradeConfigurationDialog", "Select to upgrade the environment directory to use this version of Python."))
        self.upgradePythonCheckBox.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Upgrade Python"))
        self.upgradeDepsCheckBox.setToolTip(_translate("VirtualenvUpgradeConfigurationDialog", "Select to upgrade the core dependencies"))
        self.upgradeDepsCheckBox.setText(_translate("VirtualenvUpgradeConfigurationDialog", "Upgrade Dependencies"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
